Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'production/get-aggregator.sh')
-rw-r--r--production/get-aggregator.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/production/get-aggregator.sh b/production/get-aggregator.sh
index 738834849..4a62d6eae 100644
--- a/production/get-aggregator.sh
+++ b/production/get-aggregator.sh
@@ -16,9 +16,9 @@ pushd $( dirname $0 ) >/dev/null
SCRIPT_PATH=${SCRIPT_PATH:-$(pwd)}
popd >/dev/null
-. $SCRIPT_PATH/build-functions.sh
+source $SCRIPT_PATH/build-functions.sh
-. "$1"
+source "$1"
cd $BUILD_ROOT
@@ -39,6 +39,13 @@ else
$(fn-local-repo "$AGGREGATOR_REPO") "$BRANCH"
fi
+pushd "$aggDir"
+# save current hash tag value for documenting build (e.g. to reproduce, run tests, etc.)
+AGGR_HASH=$( git show-ref --hash --verify refs/remotes/origin/$BRANCH )
+checkForErrorExit $? "git show-ref --hash failed for refs/remotes/origin/$BRANCH. Not valid ref?"
+fn-write-property AGGR_HASH
+popd
+
echo "signingDir: $signingDir"
if [ -r "$signingDir" ]; then

Back to the top